import subprocess
import sys
import time

plot = subprocess.Popen( ['/usr/bin/gnuplot'], stdin=subprocess.PIPE, stdout=subprocess.PIPE, encoding='utf8', text=True )

plot.stdin.write( """
set term qt
r1 = 10
k = 3.8
# r1/r2 = k
# r2 = r1/k
r2 = r1/k
x(t) = (r1 - r2)*cos(t) + r2 * cos( t*(1-k) )
y(t) = (r1 - r2)*sin(t) + r2 * sin( t*(1-k) )
set parametric
unset key
set size ratio -1
set xrange [-10:10]
set yrange [-10:10]
set trange [0:0]
plot x(t), y(t) w l lw 2
""" )
plot.stdin.flush()
time.sleep(0.1)

delta = 'pi/10' 
i=1
try: 
	while 1 :
		# a = raw_input()
		# if a == 'n' :
		v = str(i)+'*'+delta 
		linea = 'set trange[0:' + v + ']\n'
		plot.stdin.write( linea )
		v = str(i*5)
		linea = 'set samples ' + v + '\n'
		plot.stdin.write(  linea )
		plot.stdin.write( 'rep\n' )
		plot.stdin.flush()
		i=i+1
		time.sleep(0.2)
		if i==101 :
			time.sleep(2)
			i=1

except KeyboardInterrupt:
	plot.terminate()
	print( "Bye!" )
	sys.exit(0)
